#
# spec file for package transfig (Version 3.2.3c)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         transfig
Copyright:    1985-1994 Supoj Sutantavibul, Frank Schmuck, Konrad Kwock, Herbert Bauer, Micah Beck
Group:        Applications/Graphics
Provides:     transfig.3.2.3c
Autoreqprov:  on
Version:      3.2.3c
Release:      170
Summary:      Graphic converter
Source:       transfig.3.2.3c.tar.gz
Patch:        transfig.3.2.3c.dif

%description
TransFig is a set of tools for creating TeX documents with graphics
which are portable, in the sense that they can be printed in a wide
variety of environments.
The transfig directory contains the source for the transfig command
which generates a Makefile which translates Fig code to various graphics
description languages using the fig2dev program.  In previous releases,
this command was implemented as a shell script.
Documentation: man transfig

Authors:
--------
    Anthony Starks <ajs@merck.com>
    George Ferguson <ferguson@cs.rochester.edu>
    Herbert Bauer <heb@regent.e-technik.tu-muenchen.de>
    Micah Beck <supoj@sally.utexas.edu>
    Supoj Sutantavibul <beck@cs.utk.ecu>

SuSE series: tex

%prep
%setup -n transfig.%{version}
%patch
xmkmf -a

%build
make

%install
mkdir -p /usr/X11R6/bin
mkdir -p /usr/X11R6/lib/X11/xfig/fig2dev
mkdir -p /usr/X11R6/lib/X11/xfig/bitmaps
make install
make install.man
mkdir -p %{_defaultdocdir}/transfig/manual
install -m 644 [CLNR]*      %{_defaultdocdir}/transfig/
install -m 644 doc/manual/* %{_defaultdocdir}/transfig/manual/

%files
/usr/X11R6/bin/fig2dev
/usr/X11R6/bin/fig2ps2tex
/usr/X11R6/bin/fig2ps2tex.sh
/usr/X11R6/bin/pic2tpic
/usr/X11R6/bin/transfig
/usr/X11R6/lib/X11/xfig/fig2dev/
/usr/X11R6/lib/X11/xfig/bitmaps/
%doc /usr/X11R6/man/man1/fig2dev.1x.gz
%doc /usr/X11R6/man/man1/fig2ps2tex.1x.gz
%doc /usr/X11R6/man/man1/pic2tpic.1x.gz
%doc /usr/X11R6/man/man1/transfig.1x.gz
%doc %{_defaultdocdir}/transfig/

%changelog -n transfig
* Tue Aug 21 2001 - werner@suse.de
- Fix bug #9024: echo style for fig2ps2tex should be bsd
* Fri Oct 20 2000 - werner@suse.de
- Add missed `$'
* Wed Oct 18 2000 - werner@suse.de
- Avoid epsfig style, use normal graphics style (bug# 4168)
* Fri Sep 15 2000 - werner
- Update to 3.2.3c to fit xfig version
* Wed May 31 2000 - werner
- Use %%{_defaultdocdir}
* Mon Mar 27 2000 - uli@suse.de
- fixed minor blooper in fig2dev/Imakefile (now calls mkdir with -p)
* Mon Mar 27 2000 - werner@suse.de
- Avoid sparc nasties
* Fri Mar 24 2000 - werner@suse.de
- New version 3.2.3 for the new xfig version
- Fix some common nasties
- Disable some doubles like getopt
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 29 1998 - ro@suse.de
- update to 3.2.1
* Thu Sep 17 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Fri Oct 10 1997 - florian@suse.de
- update to version 3.2
* Wed Oct 08 1997 - ro@suse.de
- Prepared package for automatic build
* Tue May 27 1997 - florian@suse.de
- update to version 3.2.0-beta2
